package edu.swe622.fers.model;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * @author Krishna
 */
public class XYLocation implements Serializable {	
	private static final long serialVersionUID = -1993069078992059692L;

	public XYLocation(double cordX2, double cordY2) {
		this.cordX = cordX2;
		this.cordY = cordY2;
	}

	public XYLocation() {
		
	}
	
	public XYLocation(Location that) {
		this.cordX = that.cordX;
		this.cordY = that.cordY;
	}

	public double getCordX() {
		return cordX;
	}

	public double getCordY() {
		return cordY;
	}

	public String toString() {
		return "Location-cordX: " + cordX + ", cordY: " + cordY;
	}
	
	protected double cordX;
	protected double cordY;
	
	/**
	 * @param cordX the cordX to set
	 */
	public void setCordX(double cordX) {
		this.cordX = cordX;
	}

	/**
	 * @param cordY the cordY to set
	 */
	public void setCordY(double cordY) {
		this.cordY = cordY;
	}
}
